### 4.7 `polyorb-config`

`polyorb-config` returns path and library information on PolyORB's installation. It can be used on the `gnatmake` command line, like this:

           $ gnatmake my_program.adb `polyorb-config`

         NAME
                polyorb-config  - script to get information about the installed version
                of PolyORB.

         SYNOPSIS
                polyorb-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version|-v]
                [--config] [--libs] [--cflags] [--idls] [--help]

         DESCRIPTION
                polyorb-config  is  a  tool  that is used to determine the compiler and
                linker flags that should be used to compile and link programs that  use
                PolyORB.

         OPTIONS
                polyorb-config accepts the following options:

                --prefix[=DIR]
                         Output the directory in which PolyORB architecture-independent
                        files are installed, or set this directory to DIR.

                --exec-prefix[=DIR]
                         Output the directory in which  PolyORB  architecture-dependent
                        files are installed, or set this directory to DIR.

                --version
                        Print  the  currently installed version of PolyORB on the stan-
                        dard output.

                --config
                        Print the configuration of the currently installed  version  of
                        PolyORB on the standard output.

                --libs  Print  the  linker  flags  that are necessary to link a PolyORB
                        program.

                --cflags
                        Print the compiler flags that are necessary to compile a  Poly-
                        ORB program.

                --idls
                        Output flags to set up path to CORBA's IDL for idlac.

                --with-appli-perso=P,P,P
                        Restrict output to only those flags relevant to the listed
                        applicative personalities.

                --with-proto-perso=P,P,P
                        Restrict output to only those flags relevant to the listed
                        protocol personalities.

                --with-corba-services=S,S,S
                       Restrict output to only those flags relevant to the listed
                       services.

                --help  Print help message.